function [ W ] = User_MatVec_Mult (ndim, V, Mmat)
%   
%    compute  W = (Mmat)*V  
%   
%  where user (Mmat)*V is defined in this function.
%  other parameters related to (Mmat) must be passed in  
%  by global variables. 
%   
  
  
    global A

    if nargin < 3 
        
        W = A*V;
  
    else
     
        if (isnumeric(Mmat))
            W = Mmat * V;
        else
            W = feval(Mmat, V);
        end
     
    end

     
 
 
 
 
